# Local haplotype reconstruction benchmark 

This repository stores the scripts and notebooks used to conduct the benchmark study presented in the manuscript: https://www.biorxiv.org/content/10.1101/2024.06.06.597712v1 

To reproduce the benchmark study and create the figures presented in the manuscript, use the following instructions:
1. Clone the repository of V-pipe 3.0 into your working directory:
   ```shell
   git clone https://github.com/cbg-ethz/V-pipe.git
   ```
2. Go into the directory of the benchmarking study for the local haplotype reconstruction:
   ```shell
   cd V-pipe/resources/auxiliary_workflows/benchmark/resources/local_haplo_setup
   ```
3. The parameters to reproduce the synthetic datasets are in the parameter files `config_xxx/params.csv` with the configuration file `config_xxx/config.yaml` where simulation mode, replicate number and methods to be executed are defined.   
4. The methods to execute must be define in a Python script in this directory:  
   ```shell
   V-pipe/resources/auxiliary_workflows/benchmark/resources/method_definitions.
   ```
5. Now the workflow is ready, go back to the directory  
   ```shell
   cd V-pipe/resources/auxiliary_workflows/benchmark/resources/local_haplo_setup
   ```
6. To install the needed Conda environments execute:
   ```shell
   snakemake --conda-create-envs-only --use-conda -c1
   ```
7. To submit the workflow to a lsf-cluster execute `./run_workflow.sh`, otherwise execute the workflow with `snakemake --use-conda -c1`  
8. The workflow will provide the results in the directory `results`.   
9. When the workflow has terminated and all result files were generated, figures from the manuscript can be generated by executing the notebooks in `workflow/notebooks/`.  
